package com.iamberry.wechat.core.entity.rent;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.Range;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 献
 * @company 深圳爱贝源科技有限公司
 * @date 2017/7/10 15:05
 * @tel 18271840547
 * @website www.iamberry.com
 */
public class ReserveOrder implements Serializable {

    private static final long serialVersionUID = -8542655658287444330L;

    private Integer reserveOrderid;

    private String reserveOpenid;

    @Range(min=1,max=2,message="租赁类型有误，请按照流程输入!")
    private Integer reservePackage;

    private Integer reservePayMoney;

    @NotBlank(message="收件人名称不能为空!")
    @Length(min=1,max=10,message="收件人名称必须为1-20个字符")
    private String reserveAddressName;

    @NotBlank(message="收件人电话不能为空!")
    @Length(min=10,max=11,message="收件人电话必须为11位")
    private String reserveAddressTel;

    @NotBlank(message="收件地址不能为空!")
    @Length(min=1,max=200,message="收件人地址必须为1-200个字符")
    private String reserveAddressInfo;

    private String reserveTransactionId;

    private Date reserveTransactionDate;

    private Date reserveCreateDate;

    @Length(min=1,max=100,message="用户备注必须为1-100个字符")
    private String reserveUserRemark;

    private Integer reserveStatus;

    private Integer reserveColor;

    public Integer getReserveStatus() {
        return reserveStatus;
    }

    public void setReserveStatus(Integer reserveStatus) {
        this.reserveStatus = reserveStatus;
    }

    public Integer getReserveOrderid() {
        return reserveOrderid;
    }

    public void setReserveOrderid(Integer reserveOrderid) {
        this.reserveOrderid = reserveOrderid;
    }

    public String getReserveOpenid() {
        return reserveOpenid;
    }

    public void setReserveOpenid(String reserveOpenid) {
        this.reserveOpenid = reserveOpenid;
    }

    public Integer getReservePackage() {
        return reservePackage;
    }

    public void setReservePackage(Integer reservePackage) {
        this.reservePackage = reservePackage;
    }

    public Integer getReservePayMoney() {
        return reservePayMoney;
    }

    public void setReservePayMoney(Integer reservePayMoney) {
        this.reservePayMoney = reservePayMoney;
    }

    public String getReserveAddressName() {
        return reserveAddressName;
    }

    public void setReserveAddressName(String reserveAddressName) {
        this.reserveAddressName = reserveAddressName;
    }

    public String getReserveAddressTel() {
        return reserveAddressTel;
    }

    public void setReserveAddressTel(String reserveAddressTel) {
        this.reserveAddressTel = reserveAddressTel;
    }

    public String getReserveAddressInfo() {
        return reserveAddressInfo;
    }

    public void setReserveAddressInfo(String reserveAddressInfo) {
        this.reserveAddressInfo = reserveAddressInfo;
    }

    public String getReserveTransactionId() {
        return reserveTransactionId;
    }

    public void setReserveTransactionId(String reserveTransactionId) {
        this.reserveTransactionId = reserveTransactionId;
    }

    public Date getReserveTransactionDate() {
        return reserveTransactionDate;
    }

    public void setReserveTransactionDate(Date reserveTransactionDate) {
        this.reserveTransactionDate = reserveTransactionDate;
    }

    public Date getReserveCreateDate() {
        return reserveCreateDate;
    }

    public void setReserveCreateDate(Date reserveCreateDate) {
        this.reserveCreateDate = reserveCreateDate;
    }

    public String getReserveUserRemark() {
        return reserveUserRemark;
    }

    public void setReserveUserRemark(String reserveUserRemark) {
        this.reserveUserRemark = reserveUserRemark;
    }
}
